This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 872390 - catdoc: buffer overflow flaw
catdoc: buffer overflow flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121101,reported=2...
: Security
Depends On: 872391 872392
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 21:22 EDT by Vincent Danen
Modified: 2015-04-14 02:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-13 16:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-11-01 21:22:24 EDT
A Debian bug report [1] noted that there is a buffer overflow in catdoc's src/xlsparse.c, which contains:

        for (i=0;i<NUMOFDATEFORMATS; i++);
        FormatIdxUsed[i]=0;

Because of the ";" at the end of the first line, it effectively sets i to NUMOFDATEFORMATS, which will cause it to write past defined buffer.  This could lead to a denial of service (crash of catdoc).  The Debian bug report indicates that this could possibly be used for worse things than a crash, but I'm not sure (I can see it writing past the end of the buffer, but all it is writing is 0's and not anything user-defined).

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692076
Comment 1 Vincent Danen 2012-11-01 21:23:17 EDT
Created catdoc tracking bugs for this issue

Affects: fedora-all [bug 872391]
Affects: epel-all [bug 872392]
Comment 4 Fedora Update System 2014-10-28 06:59:30 EDT
catdoc-0.94.2-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-10-28 07:04:41 EDT
catdoc-0.94.2-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.